Module | Shef::Extensions
In: | lib/chef/shef/ext.rb

### Methods

attributes become_node chef_run doppelganger echo echo? halp help ls recipe reset run_chef shef trace trace? tracing tracing? version

### Classes and Modules

Module Shef::Extensions::FalseClass
Module Shef::Extensions::ObjectCoreExtensions
Module Shef::Extensions::String
Module Shef::Extensions::Symbol
Module Shef::Extensions::TrueClass

### Constants

Help | = | Struct.new(:cmd, :desc, :explanation)
ObjectUIExtensions | = | Proc.new do extend Shef::Extensions::ObjectCoreExtensions |  | Methods that have associated help text need to be dynamically added to the main irb objects, so we define them in a proc and later instance_eval the proc in the object.

### Public Instance methods

attributes()
become_node(node_name)
chef_run()
doppelganger(node_name)

Alias for become_node

echo(on_or_off)
echo?()
halp(commmand=nil)

Alias for help

help(commmand=nil)
ls(directory)
recipe()
reset()
run_chef()
shef()

Alias for version

trace(on_or_off)

Alias for tracing

trace?()

Alias for tracing?

tracing(on_or_off)
tracing?()
version()

[Validate]